/**
 * WlanMap 0.9
 *
 * Copyright 2013      Konrad Enzensberger <e.konrad@mpegcode.com>
 * All rights reserved.
 *
 * WlanMap is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * WlanMap is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.*
 *
 * You should have received a copy of the GNU General Public License
 * along with wlanapi library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __WLANCONTROLSPLITTER_H__
#define __WLANCONTROLSPLITTER_H__

/* INCLUDE FILES **************************************************************/
#include <QSplitter>

/* FORWARD DECLARATIONS *******************************************************/
/* TYPE DECLARATIONS **********************************************************/
/* CONSTANT DECLARATIONS ******************************************************/
/* CLASS DECLARATION **********************************************************/

/** @brief	This class was created to avoid inheritance from BaseControls::Splitter.
The BaseControls::Splitter class is using GuiBase mechanisms to store splitter sizes 
into the cfg.
Since this feature is implemented separately by DDFControl::SplitterSizeManager, the
GuiBase funtionality is not needed and not wanted within DDFControl, because it is not 
working properly and also to avoid mixing up the storage of splitter sizes (which
caused further trouble).
*/
class WlanControlSplitter : public QSplitter
{
public:
	WlanControlSplitter(Qt::Orientation orientation, QWidget* parent);
	virtual ~WlanControlSplitter();

protected:
	QSplitterHandle* createHandle();
};

/* INLINE METHODS *************************************************************/
/* TEMPLATE METHODS ***********************************************************/
/* OPERATORS ******************************************************************/

#endif	// __WLANCONTROLSPLITTER_H__

/******************************************************************************/
/* END OF FILE                                                                */
/******************************************************************************/