/*******************************************************************************
* @file			apmp.h
* @copyright	2013 Rohde&Schwarz, Munich
* @version		$Header: \ISAR_dev\userinterface\MapViewControl\marblewidget\TDOA 
*
* @author		Konrad Enzensberger
* @responsible	KOnrad Enzensberger
*
* @language		C++ ANSI V3
*
* @description	declarations of TDOA multilateration (hyperbolic) localization
* @see           
*
*
********************************************************************************
*******************************************************************************/
#ifndef APMP_H
#define APMP_H

class QApMp
{ 
    
public:
	
	QApMp(long id,double lon, double lat,int iSig,int iRSSI,int iLinkQual,int iPos=0 );
    ~QApMp();

	double getLongitude(){return m_dLongitude;}
	double getLatitude(){return m_dLatitude;}
	int getSignal(){return m_iSignal;}
	int getLinkQuality(){return m_iLinkQuality;}
	int getRSSI(){return m_iRSSI;}
	int getPosition(){return m_iPos;}

private:
	//Measure point
	double			m_dLongitude;
	double			m_dLatitude;
	int				m_iSignal;
	int				m_iLinkQuality;
	int				m_iRSSI;
	//object ID
	long			m_lMP;
	//position
	int m_iPos;
};

#endif //TDOA_H