/**
 * WlanMap 0.9
 *
 * Copyright 2013      Konrad Enzensberger <e.konrad@mpegcode.com>
 * All rights reserved.
 *
 * WlanMap is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * WlanMap is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.*
 *
 * You should have received a copy of the GNU General Public License
 * along with wlanapi library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef wlandef_h
#define wlandef_h

#define		MSTYPE	long   

//Information request and result
#define     MST_COMMAND					140  // expects a 0 terminated TCHAR array
#define		MST_COMMAND_RESULT			141  // expects a 0 terminated TCHAR array

//create elements       
#define		MST_ADD_RECT				149
#define		MST_ADD_OVERLAY				150
#define		MST_ADD_LAYER				151
#define		MST_ADD_GROUP				153
#define		MST_ADD_ICON				154
#define		MST_ADD_AZIMUTH				155
#define		MST_ADD_MARKER				156
#define		MST_ADD_TEXT				157
#define		MST_ADD_POLY				158
#define		MST_ADD_COLOR_POLY_LIST		159

// properties
#define		MST_SET_OVERLAY_PROPERTIES	160
#define		MST_SET_LAYER_PROPERTIES	161
#define		MST_SET_FLAG				162
#define		MST_SET_ICON_PROPERTIES		163
#define     MST_SET_TREEVIEW_CONTEXT_MENU 164
#define     MST_SET_OBJECT_VISIBLE		165
// deletion
#define		MST_DELETE_OVERLAY			170
#define		MST_DELETE_LAYER			171
#define		MST_DELETE_GROUP			172
#define		MST_DELETE_SHAPE			173
#define		MST_DELETE_BY_NAME			174

//ToolTip
#define		MST_ADD_TOOLTIP				175

// moving
#define		MST_MOVE_GROUP				180
#define		MST_MOVE_AZIMUTH			181

// scroll to and show
#define		MST_SELECT_GROUP			182

//polygon
#define		MST_ADD_POLYGON				192

// data
#define		MST_GROUP_SET_DATA			185
#define		MST_SET_VISIBLE_WW			186
#define		MST_SET_CEP_DATA			187
#define		MST_SET_CEP_ALPHA			188
#define		MST_SET_WW					189
#define		MST_SET_MPT_DATA			193
#define		MST_SET_MPT_ALPHA			194
#define		MST_SET_MPT_DATA_RECT		195

//capture VWW
#define		MST_CAPTURE_VWW				198

// result codes
#define		MST_RESULT					200
#define		MST_ERROR					201

// event codes
#define		MST_EVENT_LAYER_OBJECTS		202
#define		MST_EVENT_SHOW_AZIMUTH		203
#define		MST_EVENT_MAP_RELEASE		204
#define		MST_EVENT_LAYER_MOVE		205
#define		MST_EVENT_LAYER_ADD			206
#define		MST_EVENT_LAYER_REMOVE		207
#define		MST_EVENT_GROUP_MOVE_PIX	208
#define		MST_EVENT_POLY_CREATE		209
#define		MST_EVENT_GROUP_OPEN		210
#define		MST_EVENT_GROUP_DELETE		211
#define		MST_EVENT_GROUP_MOVE		212

#define		MST_EVENT_SHAPE_DELETE		213
#define		MST_EVENT_LAYER_DELETE		214
#define		MST_EVENT_OVERLAY_DELETE	215

#define		MST_EVENT_GROUP_CREATE		216

#define		MST_EVENT_MENU_ID			217
#define		MST_EVENT_GROUP_SELECT		218
#define		MST_EVENT_GROUP_DESELECT	219
#define		MST_EVENT_GROUP_MOVE_EX		220
#define		MST_EVENT_VISIBLE_WW		221
#define		MST_EVENT_WW				222
#define		MST_EVENT_COMMON_DATA		223
#define		MST_EVENT_MOUSE_ACT			224
#define		MST_EVENT_MOUSE_OVER		229

#define		MST_EVENT_OBJECT_VISIBLE	233

#define		MST_ADD_SHADING_LAYER		501
#define		MST_ADD_COLOR_PLOT  		502
#define		MST_ADD_COLOR_RECT	    	503

#define SHRT_MIN    (-32768)

struct t_COORD {
	double longitude;
	double latitude;
} ;

// Map menu
const int iID_MAP_GLOBE					= 0;
const int iID_MAP_MERC					= 1;
const int iID_MAP_FLAT					= 2;


#endif //mapviewdef_h