/******************************************************************************************************************
 *	@file			KmlSnippetTagHandler.cpp
 *	@copyright		&copy; 2010 Rohde&Schwarz, Munich
 *	@version		$Header: \ISAR_dev\userinterface\MapViewControl\marblewidget\GeoData\handlers\kml\KmlSnippetTagHandler.h   \main\3     
 *	5 November 2010 16:49:35  enzensbe $
 *
 *	@author			Konrad Enzensberger
 *	@responsible	KOnrad Enzensberger
 * 
 *	@language		C++ ANSI V3
 *
 *	@description 	This file defines the MapView TreeViewWidget.
 *					
 *					
 *****************************************************************************************************************/


#include "KmlSnippetTagHandler.h"

#include "MarbleDebug.h"

#include "KmlElementDictionary.h"

#include "GeoDataFeature.h"
#include "GeoParser.h"

namespace Marble
{
namespace kml
{
KML_DEFINE_TAG_HANDLER( Snippet )

GeoNode* KmlSnippetTagHandler::parse( GeoParser& parser ) const
{
    Q_ASSERT( parser.isStartElement() && parser.isValidElement( kmlTag_Snippet ) );

    GeoStackItem parentItem = parser.parentElement();
    
    if( parentItem.is<GeoDataFeature>() ) {
        QString snippet = parser.readElementText().trimmed();
        
        parentItem.nodeAs<GeoDataFeature>()->setAddress( snippet );
        //parentItem.nodeAs<GeoDataFeature>()->setDescriptionCDATA( parser.isCDATA() );
#ifdef DEBUG_TAGS
        mDebug() << "Parsed <" << kmlTag_description << "> containing: " << description
                 << " parent item name: " << parentItem.qualifiedName().first;
#endif // DEBUG_TAGS
    }

    return 0;
}

}
}
