/*******************************************************************************
* @file			TreeViewItem.cpp
* @copyright	2011-2013 Rohde&Schwarz, Munich
* @version		$Header: TreeViewItem.h
*
* @author		Konrad Enzensberger		e.konrad@mpegcode.com
* @responsible	KOnrad Enzensberger
* 
* @language		C++ ANSI V3
*
* @history
*
*
********************************************************************************
*******************************************************************************/

/* INCLUDE FILES **************************************************************/
#include <QStringList> 

#include "GeoDataDocument.h"
#include "GeoDataCoordinates.h"
#include "GeoDataLineString.h"

#include "TreeViewItem.h"
using namespace Model;

//Every node has a type, a string (which may be empty), a parent (which may be 0), 
//and a list of child nodes (which may be empty).
TreeNode::TreeNode(GIS::TreeViewItemType type, const QString &str)
{
	this->ItemType = type;
	this->MarkerType = GIS::Circle;
	this->m_qsName = str;
	this->m_iRow = 0;
	this->m_lId = 0;
	this->m_lFillCol= -1;
	this->m_lLineCol= -1;
	this->m_iTrans = -1;
	this->m_bMap=false;
	this->m_bVisible=true;
	this->m_bUpdate=false;
	this->m_bMultiSelect=false;
	this->m_bTactical=false;
	this->m_bGeoSet=false;
	this->m_dRadius=0;
	this->m_iDirection=0;
	this->m_iShadingID=0;
	this->m_iXoff=0;
	this->m_iYoff=0;
	this->m_iZVal=0;
	this->m_pMapDoc=NULL;
	/*
		typedef enum ALIGNMENT {
	center, upperleft, upperright, lowerright, lowerleft, owner	*/
	this->m_iAlignment=0;//center

	parent = 0;
}

//The constructor simply initializes the node's type and string. Because all the data is public, 
//code that uses Node can manipulate the type, string, parent, and children directly.
TreeNode::~TreeNode()
{
	qDeleteAll(children);
}



/******************************************************************************/
/* END OF FILE                                                                */
/******************************************************************************/
