/******************************************************************************************************************
 *	@file			TreeViewItem.h
 *	@copyright		2013 Rohde&Schwarz, Munich
 *	@version		$Header: TreeViewItem.h  
 *	25 Juli 2011 16:49:35  enzensbe $
 *
 *	@author			Konrad Enzensberger		e.konrad@mpegcode.com
 *	@responsible	KOnrad Enzensberger
 * 
 *	@language		C++ ANSI V3
 *
 *	@description 	This file defines the MapView tree view items.
 *					
 *					
 *****************************************************************************************************************/

#ifndef MARBLE_TREEVIEWITEM_H
#define MARBLE_TREEVIEWITEM_H

using namespace Marble;

#include "Enum.h"

class GeoDataCoordinates;
class GeoDataLineString;
class GeoDataDocument;

#include <QList>
#include <QVariant>

/***************************************************************************/
namespace Model
{
	class TreeNode
	{
	public:
		//enum Type { RegExp, Expression, Term, Factor, Atom, Terminal };
		TreeNode(GIS::TreeViewItemType type, const QString &str = "");
		~TreeNode();
	   
		TreeNode *parent;
		QList<TreeNode *> children;

		QString	m_qsName;
		QString m_qsImage;
		QString m_qsDesc;
		QString m_qsToolTip;
		Marble::GeoDataDocument*				m_pMapDoc;
		Marble::GeoDataCoordinates				m_position; 
		Marble::GeoDataLineString				m_poly;
		GIS::TreeViewItemType					ItemType;
		GIS::TreeViewMarkerType					MarkerType;
		long									m_lId;
		long									m_lFillCol;
		long									m_lLineCol;
		int										m_iTrans;
		int										m_iRow;
		bool									m_bMap;
		bool									m_bVisible;
		bool									m_bUpdate;
		bool									m_bMultiSelect;
		bool									m_bTactical;
		bool									m_bGeoSet;
		double									m_dRadius;
		int										m_iDirection;
		int										m_iShadingID;
		int										m_iXoff;
		int										m_iYoff;
		int										m_iZVal;
		int										m_iAlignment;
	};




}	// namespace Model

#endif


