/******************************************************************************************************************
 *	@file			Enums.h
 *	@copyright		&copy; 2010 Rohde&Schwarz, Munich
 *	@version		$Header: \ISAR_dev\userinterface\MapViewControl\marblewidget\treeview\Enums.h   \main\3     
 *	5 Juli 2011 16:49:35  enzensbe $
 *
 *	@author			Konrad Enzensberger
 *	@responsible	KOnrad Enzensberger
 * 
 *	@language		C++ ANSI V3
 *
 *	@description 	This file defines the symbolical constants for the MapView tree model.
 *					
 *					
 *****************************************************************************************************************/

#ifndef ENUMS_H
#define ENUMS_H

namespace GIS	{

enum TreeViewItemType {
		Root,
        Overlay,
        Layer,
		PointLayer,
        Group,
		Object,
		Text,
		Icon,
		Plot,
		PlotEx,
		Rect,
		Poly,
		Polygone,
		Elipse,
		Azimuth,
		Marker,
		Desc,
		Shading,
		Arrow,
		SvgObj,
		SvgBts,
		HotSpot,
		Error
    };

enum TreeViewMarkerType {
		Circle,
        Rectangle,
        Triangle,
		MIcon,
        Cross,
		XCross,
		Direction,
		Level
    };

enum SelectType {
        Unknown = 0,
        PolySelect,
		RectCorner
};


}	// namespace GIS	

#endif	// ENUMS_H

/******************************************************************************/
/* END OF FILE                                                                */
/******************************************************************************/
